Subject: Re: [bitcoin-dev] Draft BIP : fixed-schedule block size increase

From: Martin Schwarz <[email-masked]>
Date: Mon, 22 Jun 2015 21:10:40 +0200

Gavin,

in 2022 your proposal (BIP as well as code) crosses the 32MB maximum
message size limit. In order to avoid deployment of code that deterministically
fails fatally in 2022, I'd propose to stop the doublings at 32MB for now and fix
the message size limit in the mean time. Since the message size fix requires
a 2nd hard fork anyway, your current 8GB limit could be re-instateted in that
2nd fork as well. Even if you disagree, I'd suggest to address the topic in the BIP.

best regards,
Martin